%define pkg_name        Email-Valid
%define pkg_version     0.179
%define rpm_pkg_version 0.17_9
%define rpm_pkg_release 1.n0i.14

Summary:       Check validity of Internet email addresses
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RJ/RJBS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Mail::Address)}
%{!?_without_test:BuildRequires: perl(Net::DNS)}


%description
This module determines whether an email address is well-formed, and
optionally, whether a mail host exists for the domain.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.17_9-1.n0i.14.0.179
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.179

* Wed Jun 28 2006 Marius Feraru <altblue@n0i.net> - 0.17_5-1.n0i.13.0.175
- version 0.175

* Tue Jun 20 2006 Marius Feraru <altblue@n0i.net> - 0.17_4-1.n0i.12.0.174
- version 0.174

* Sat Jun 17 2006 Marius Feraru <altblue@n0i.net> - 0.17_3-1.n0i.11.0.173
- version 0.173

* Wed Jun 14 2006 Marius Feraru <altblue@n0i.net> - 0.17_2-1.n0i.10.0.172
- version 0.172

* Sun Jun 11 2006 Marius Feraru <altblue@n0i.net> - 0.17_1-1.n0i.9.0.171
- version 0.171

* Fri Jun 09 2006 Marius Feraru <altblue@n0i.net> - 0.17_0-1.n0i.8.0.170
- version 0.170

* Sun Jun 04 2006 Marius Feraru <altblue@n0i.net> - 0.16-1.n0i.7
- version 0.16

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.15-3.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.15-2.n0i.5
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:0.15-2.n0i.4
- automatic rebuild (perl 5.8.6)

* Tue May 04 2004 Marius Feraru <altblue@n0i.net> 0:0.15-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.15-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Mon Nov 03 2003 Marius FERARU <altblue@n0i.net> 0:0.15-0.n0i.1
- version 0.15
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
